<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attributes and Links</title>
	</head>
	<body>
		<!-- id attribute assigns a unique named identifier to an element -->
		<h2 id="top">HTML Attributes</h2>
		<!-- align attribute - changes the alignment of an element -->
		<p align="center">
			<em>Modifiers of elements behaviors.</em>
		</p>

		<h2>HTML Images</h2>

		<p align="right">
			<em>An image can be shown using &lt;img&gt; tag along with its <strong>src attribute</strong>.</em>
		</p>

		<!-- Add an image using absolute link. -->
		<a href="https://place-puppy.com/300x300">
		<img src="https://place-puppy.com/300x300">
		</a>
		<p>
			<!-- code tag is used to define a piece of computer code and displays text in browser. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>
		<!-- add an image usiing relative link -->
		<img src="./images/zuitt.jpg">

		<p>
			<code>
				&lt;img src="./images/zuitt.jpg"&gt;
			</code>
		</p>
		<p>
			Valid image extensions are the following
		</p>
		<!-- In ol/ul type attribute is used to change the numbered  points(default)to another ordered list type 
			ol -
			1 A a i I

			ul -
			disc circle square


		-->
			<ol type="I" reversed>
				<li>png</li>
				<li>jpg/jpeg</li>
				<li>gif</li>
				<li>svg</li>
				<li>webp</li>
			</ol>
			<p>
				Take a look at w3schools attribute references <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">Here</a>
			</p>
			<h2>HTML Links</h2>
			<h4>Absolute Link</h4>
			<!-- Create a hyperlink element that redirects to a different page -->
			<a href="https://zuitt.co/" target="_blank">I'm a Hyperlink</a>

			<h4>Relative Link</h4>
			<p>Go to <a href="./link.html">link.html</a></p>

			<p>Go to <a href="#top">top</a></p>

	</body>
</html>